Create a Staff Widgets Board

Overview

Creates a widgets board for staff member.

Uniqueness Constraint: Each staff member can only have ONE board per type value. For example, a staff member cannot have two boards with type: "home". Attempting to create a duplicate returns 403 error: 'Duplication Error: StaffWidgetsBoard Already Exist'.

Testing Tip: To reliably test this endpoint, first create a fresh staff member using POST /platform/v1/businesses/{business_id}/staffs, then create the board for that new staff.

Available for Staff Tokens

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required

A string representing the board layout. Must be unique per staff member when combined with type.

Allowed:
string
enum
required

The grid frame of the layout, determines the layout frame containing the board. Must be unique per staff member when combined with board_layout_code_name.

Allowed:
sections
array of objects
required

An array of sections for the widgets board

sections*
Responses

401

Unauthorized. The bearer token is missing or invalid.

403

Forbidden. You do not have access to this resource.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json